--[[
Str：
92001-94000	马
94001-96000	佟
96001-98000	金


Scriptlist:
24001+


Flag:
DLC主旗标：44001


npcData:
701-800	马
801-900	佟 
901-1000	金
--]]

--时间段五
--楼兰	24502

function dlc05_2()


local	n=flag.GetValue(44001)	--DLC主旗标

if	n==502	then



	--开始剧情 
	func_start(7137,7460,0,1)	
	--修改旗标 
	flag.SetValue(44001,601)	

	--战斗音乐延续	关
	flag.SetValue(10020,0)	
	--播放音乐 
	global.PlayMusic(-1,100,1)		
	
	--雨停  
	map.Weather(0)
	
	

	-- npc.RemoveRefItem(7,49)
	-- npc.RemoveRefItem(11,49)
	
	-- for	i=1,20,1
		-- do 
		-- npc.SetHeadRot(i,0,0)
		-- end
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end		
	
	
	
	
	
	

	
	
	--龙溟 
	npc.Create(7,7,7137,7460)
	npc.SetAtPos(7,7146,7411)
	npc.SetAnim(7,101)
	npc.AddRefItem(7,49,6046)			
	--凌波 
	npc.Create(8,8,7238,7562)
	npc.SetAt(8,-1,-1)
	--龙幽 
	npc.Create(906,11,7146,7411)
	npc.SetAtPos(11,7137,7460)
	npc.SetAnim(11,25)
	npc.AddRefItem(11,49,6046)			
	--小蛮 
	npc.Create(907,12,7258,7546)
	npc.SetAt(12,-1,-1)
	--乌龟 
	-- npc.Create(908,13,7093,7402)
	-- npc.SetAtPos(13,7076,7420)
	--蜥蜴 
	-- npc.Create(909,14,7076,7420)
	-- npc.SetAtPos(14,7093,7402)
	--？？
	-- npc.Create(91,15,1,1)
	-- npc.SetVisible(19,0)
	--十字妖槊
	npc.CreateFloat(81,16,7152,325,7449)
	npc.SetAt(16,1,0)
	npc.SetVisible(16,0)
	--龙幽特效替身 
	npc.CreateFloat(1,17,7160,320,7436)
	npc.SetSEVisible(17,1)
	npc.SetVisible(17,0)
	--龙幽幻想
	npc.Create(72,18,7160,7436)
	npc.SetAtPos(18,7137,7460)
	npc.SetVisible(18,0)
	
	
	
	
	--隐藏捣乱npc 
	npc.SetVisible(404,0)
	npc.SetVisible(419,0)
	npc.SetVisible(401,0)
	npc.SetVisible(402,0)
	npc.SetVisible(424,0)	
	npc.SetVisible(405,0)
	
	
	
	
	

	--镜头1  
	-- 越过龙溟看向龙幽 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7180,344,7496,7124,321,7416)
	camera.ResetLerp(12000)			
	camera.ChangeCameraStatic(7194,348,7507,7136,322,7430)
	--淡入  
	effect.FadeIn(1,0.7)
	global.Wait(2)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96258,837,2,11,0,0)	--气喘	--呼……
	global.Wait(1)

	
	
	--播放音乐 
	global.PlayMusic(29,100,1)		
	
	--镜头2 
	-- 越过龙幽，面向龙溟 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7113,341,7370,7163,324,7455)
	camera.ResetLerp(15000)			
	camera.ChangeCameraStatic(7100,340,7369,7159,323,7448)
	global.Wait(1)
	
	-- 龙溟恢复  
	npc.RemoveRefItem(7,49)	
	npc.SetAnimSpeed(7,50)
	npc.SetAnim(7,200)
	npc.SetAnimSpeed(7,100)
	global.Wait(0.5)	
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96259,629,2,7,0,0)	--欣慰笑	--你确是进步良多。
	global.Wait(1)
	
	-- 龙幽恢复  
	npc.SetAnimSpeed(11,50)
	npc.RemoveRefItem(11,49)	
	npc.SetAnim(11,200)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	
	-- 龙幽摇头  
	npc.SetAnim(11,207,2)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96260,834,0,11,0,0)	--输了便是输了，不必安慰我。
	global.Wait(1)
	
ui.SetDialogHeadSize(450,500)		
	
	--龙溟摇头 
	npc.SetAnim(7,207,2)
	global.Wait(1)
	
	ui.Dialog(96389,629,2,7,0,0)	--短短三十年，你就学会了越行术，就能压制住十字妖槊上的煞气。	
	ui.Dialog(96261,629,2,7,0,0)	--你已经超出我的期望。
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96262,838,0,11,0,0)		--……
	ui.Dialog(96263,838,0,11,0,0)	--兄长……	


	--镜头3 
	-- 面向龙溟 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7179,338,7385,7110,329,7457)
	global.Wait(0.5)
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96264,630,0,7,0,0)	--不过，仅有武技成长，远远不够。
	global.Wait(0.5)
	ui.Dialog(96265,630,0,7,0,0)	--正色 --龙幽，我问你——

	
	camera.ResetLerp(4000)				
	camera.ChangeCameraStatic(7183,325,7385,7134,347,7470)	
	
	-- 龙溟拿枪  可以尝试胜利动作 
	npc.AddRefItem(7,49,6046)				
	npc.SetAnim(7,135)
	npc.AddAnimChain(7,135,138)
	global.Wait(4.5)

	ui.Dialog(96266,630,0,7,0,0)	--正色 --这是何物？
	global.Wait(1)
	
	
	
	

	-- 龙溟恢复正常
	npc.RemoveRefItem(7,49)	
	npc.SetAnim(7,200)
	-- 枪插在地上  	
	npc.SetVisible(16,1)

	--镜头4
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7145,339,7444,7146,331,7345)
	global.Wait(0.5)

	--龙幽转头
	npc.SetHeadRot(11,20,-15,1,50)
	global.Wait(0.5)
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96267,836,0,11,0,0)		--这……
	global.Wait(1)
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96268,630,2,7,0,0)	--正色 --何物？
	global.Wait(1)
	
	--龙幽转头恢复
	npc.SetHeadRot(11,0,0,1,50)
	global.Wait(0.5)		

ui.SetDialogHeadSize(400,500)	
	
	ui.Dialog(96269,837,0,11,0,0)	--十字妖槊。	
	
	
	--镜头5 
	-- 全镜 面向龙溟
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7166,332,7385,7114,336,7471)
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(7173,331,7385,7117,348,7467)
	global.Wait(0.5)

	-- 龙溟摇头
	npc.SetAnim(7,207,2)
	global.Wait(3)
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96270,630,0,7,0,0)	--正色 --这是何物？
	global.Wait(1)
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96271,837,2,11,0,0)	--……是我龙家世代相传，代表着王者之尊的一杆长枪。

ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96272,630,0,7,0,0)	--正色 --错。这是何物？！！
	
	
	--镜头6
	-- 面向龙幽 
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7149,334,7440,7131,338,7342)
	global.Wait(0.5)
	
	-- 龙幽低头
	npc.SetHeadRot(11,0,20,1,50)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96273,838,0,11,0,0)	--……	
	global.Wait(1)
	
	-- 龙幽抬头 
	npc.SetHeadRot(11,0,0,1,50)
	global.Wait(0.5)
	-- 龙幽行礼 
	npc.SetAnim(11,226,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96274,837,0,11,0,0)	--兄长，请告诉我。	
	global.Wait(0.5)

	
	--隐藏龙幽 
	npc.SetVisible(11,0)
	
	--镜头7 
	-- 特写十字妖槊
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7158,335,7411,7127,331,7506)
	camera.ResetLerp(12000)		
	camera.ChangeCameraStatic(7152,336,7399,7131,353,7495)
	global.Wait(1)
	
	--龙幽转头 
	npc.SetHeadRot(11,20,-15)
	--龙溟转头
	npc.SetHeadRot(7,-25,-10,1,50)
	global.Wait(1)
	
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96275,630,0,7,0,0)	--这十字妖槊，随我龙氏征战千年，其锋尖下，有无数幽魂和煞气，更有整个夜叉族未来的命运。
	global.Wait(0.5)
	ui.Dialog(96276,630,0,7,0,0)	--只有我龙家威武霸气的枪术绝学，才能够驾驭这柄十字妖槊，让它成为守护吾族繁衍不息的镇国之器。
	global.Wait(1)
	ui.Dialog(96277,630,0,7,0,0)	--枪锋尖利，可摧万物；心坚不移，始有家国。
	global.Wait(0.5)
	
	
	
	--恢复龙幽 
	npc.SetVisible(11,1)
	
	--镜头9 
	-- 特写龙幽 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7152,337,7445,7133,332,7346)
	global.Wait(1)
	--动作 
	-- 龙幽拿枪  
	npc.SetHeadRot(11,0,0,1)
	npc.SetAnimSpeed(11,30)
	npc.AddRefItem(11,49,6046)		
	npc.SetAnim(11,230)
	npc.SetAnimSpeed(11,100)
	global.Wait(2)
	--龙溟转头 
	npc.SetHeadRot(7,0,0)

	--对话 

ui.SetDialogHeadSize(400,500)	

	ui.Dialog(96278,839,0,11,0,0)	--枪锋尖利，可摧万物。
	global.Wait(0.5)
	ui.Dialog(96279,839,0,11,0,0)	--心坚不移，始有……家国……
	global.Wait(1)
	
	
	--隐藏枪 
	npc.SetVisible(16,0)

	
	--镜头10 
	-- 全镜面向龙溟  
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7180,342,7383,7118,327,7461)
	camera.ResetLerp(15000)			
	camera.ChangeCameraStatic(7187,341,7384,7118,325,7455)
	global.Wait(0.5)
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96280,630,0,7,0,0)	--幽煞将军，你手中所持何物？
	global.Wait(3)

ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96281,840,2,11,0,0)	--是吾夜叉开疆之矛，护国之盾。
	global.Wait(0.5)
	ui.Dialog(96282,840,2,11,0,0)	--更是我身为夜叉族之王，所应承担的责任。
	global.Wait(1)

	
	camera.ResetLerp(0)				
	camera.ChangeCameraStatic(7159,341,7491,7122,324,7400)
	camera.ResetLerp(12000)			
	camera.ChangeCameraStatic(7154,342,7482,7118,330,7389)
	global.Wait(1)
	
	-- 龙幽看向龙溟 	
	npc.SetHeadRot(11,-10,-20,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96283,837,2,11,0,0)	--……
	global.Wait(0.5)
	ui.Dialog(96284,837,2,11,0,0)	--这柄十字妖槊，是吾兄教授与我的一句守护夜叉族的枪绝。	
	--动作 
	-- 龙溟思考 
	npc.SetAnimSpeed(7,50)
	npc.SetAnim(7,216)
	npc.SetAnimSpeed(7,100)
	global.Wait(1)
	-- 龙溟点头 
	npc.SetHeadRot(7,0,20,1,40)
	wt(0.2)
	npc.SetHeadRot(7,0,0,1,50)	
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96285,629,0,7,0,0)	--阿幽，你答的很好。
	global.Wait(0.5)
	--龙幽恢复 
	npc.SetHeadRot(11,0,0,1,50)
	global.Wait(1)

ui.SetDialogHeadSize(400,500)	
	
	ui.Dialog(96286,836,2,11,0,0)	--……	
	
	npc.RemoveRefItem(11,49)
	npc.SetAnimSpeed(11,50)
	npc.SetAnim(11,200)
	npc.SetAnimSpeed(11,100)
	global.Wait(0.5)
	
	ui.Dialog(96287,837,2,11,0,0)	--哥，我还是想问，这么多年你都去了哪里，为什么都不和我说一句。	
	global.Wait(1)
	--动作 
	-- 龙溟转向凌波小蛮  
	npc.TurnToNpc(7,8,1)
	global.Wait(0.5)
	npc.TurnToNpc(11,8,1)
	global.Wait(0.5)
	
	
	--npc位置  
	npc.SetHeadRot(8,0,0)
	npc.SetAtPos(8,7258,7546)
	npc.SetAtPos(12,7238,7562)
	npc.SetHeadRot(8,0,10)
	npc.SetAnim(12,222)
	
	
	
	--镜头11 
	-- 扫过凌波小蛮  
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7244,332,7507,7257,326,7606)
	camera.ResetLerp(10000)		
	camera.ChangeCameraStatic(7259,331,7507,7235,327,7604)
	global.Wait(2)
	
	--对话  
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96288,632,2,7,0,0)	--我只能说，我所做一切，都是为了夜叉。
	global.Wait(1)
	
	npc.SetAnim(8,211,2)
	global.Wait(2)

ui.SetDialogHeadSize(400,500)	
	
	ui.Dialog(96289,831,0,11,0,0)	--嗯，我信。
	global.Wait(1)
	

	
	--npc位置  
	npc.SetPos(11,7160,7436)

	
	--镜头12  
	-- 面向龙溟、龙幽 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7204,341,7460,7110,325,7431)
	camera.ResetLerp(24000)		
	camera.ChangeCameraStatic(7206,341,7440,7108,326,7451)
	global.Wait(0.5)
	-- 龙溟转向龙幽 
	npc.TurnToNpc(7,11,1)
	global.Wait(0.5)
	--对话 
	
ui.SetDialogHeadSize(450,500)		
	
	ui.Dialog(96290,631,0,7,0,0)	--！
	
	npc.TurnToNpc(11,7,1)
	global.Wait(0.5)
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96291,831,2,11,0,0)	--我只是想要你一句话，只是想知道，你心里，依旧念着我这个弟弟。
	ui.Dialog(96292,831,2,11,0,0)	--我又何尝不知，你是我的兄长，更是夜叉族的王。

ui.SetDialogHeadSize(450,500)	

	ui.Dialog(96293,632,0,7,0,0)	--呵。
	--动作 
	-- 龙溟悲伤218 
	npc.SetAnim(7,218,1)
	npc.SetAnim(7,200)
	--对话 
	ui.Dialog(96294,629,0,7,0,0)	--不错，孤是夜叉族的王，也是你的兄长。
	ui.Dialog(96295,629,0,7,0,0)		--微笑	--阿幽，你已是值得孤骄傲的王弟。你会让夜叉走向怎样一个未来，我很期待。
	ui.Dialog(96296,630,0,7,0,0)	--正色	--记住，你是夜叉族之王，“王”之一字，任何时刻都不能忘记。

	--特效 
	-- 龙幽半透明
	npc.SetVisible(18,1)		
	npc.SetAppear(11,0)
	-- npc.SetVisible(11,0)
	global.Wait(0.5)
	-- npc.SetAppear(11,1,1)
	npc.CreateScaledSE(17,4371,50)
	global.Wait(1.5)
	
	
	
	
	

	--npc位置  
	npc.SetHeadRot(8,0,0)
	npc.SetAtPos(8,7160,7436)
	
	
	--镜头13 
	-- 面向龙幽 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7095,336,7444,7195,330,7451)
	camera.ResetLerp(8000)			
	camera.ChangeCameraStatic(7090,342,7433,7186,327,7458)

	-- 小蛮跑过来  
	npc.RunTo(12,7188,7469,1)
	npc.SetHeadRot(12,0,-20)
	-- 小蛮吃惊 
	npc.SetAnim(12,208,2)
	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(400,500)		
	
	ui.Dialog(96297,851,2,12,0,0)	--咦？！这是怎么啦？！


	npc.CreateSE(12,4371)
	npc.CreateSE(17,4371)
	-- global.Wait(1)
	
	--龙幽看小蛮
	-- npc.TurnToNpc(18,12,1)
	-- npc.SetHeadRot(18,0,10,1,50)
	-- global.Wait(1)
	
	-- 龙幽看向龙幽  
	-- npc.SetHeadRot(18,0,0)
	-- npc.TurnToNpc(18,7,1)
	-- global.Wait(1)
	
	global.WaitForCameraLerp()

	
	--对话 
	ui.Dialog(96298,840,0,11,0,0)	--哥！
	ui.Dialog(96299,840,0,11,0,0)	--我还——
	
	
	
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7164,337,7387,7152,325,7485)
	camera.ResetLerp(8000)			
	camera.ChangeCameraStatic(7164,354,7379,7153,327,7474)
	--特效 
	-- 龙幽、小蛮消失   
	npc.SetAppearTime(12,2)
	npc.SetAppear(12,0,1)
	npc.StopSE(12)	
	global.Wait(1)
	npc.SetAppearTime(11,2)	
	-- npc.SetAppear(11,0,1)
	npc.SetAppear(18,0,1)
	global.Wait(1.5)
	npc.StopSE(17)
	global.Wait(0.5)
	
	npc.SetAppearTime(11,1)	
	npc.SetAppearTime(12,1)	
	
	

	
	--镜头14  
	-- 面向龙溟 
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7175,341,7437,7092,325,7491)

	global.Wait(1)
	--对话 
	
ui.SetDialogHeadSize(450,500)	
	
	ui.Dialog(96300,629,2,7,0,0)	--……
	
	camera.ResetLerp(6000)	
	camera.ChangeCameraStatic(7196,342,7420,7124,324,7487)
	
	--动作 
	-- 凌波走过来 
	npc.SetAnimSpeed(8,80)
	npc.SetSpeed(8,0.8)
	npc.MoveTo(8,7164,7464,1)
	npc.SetAnimSpeed(8,100)
	npc.SetSpeed(8,1)	
	npc.SetHeadRot(8,0,-10)
	npc.TurnToNpc(8,7,1)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96301,152,0,8,0,0)	--他们走了。
	ui.Dialog(96302,632,2,7,0,0)	--……
	--动作 
	-- 龙溟叹气 
	npc.SetAnim(7,218,1)
	npc.SetAnim(7,200)
	--对话
	ui.Dialog(96303,629,2,7,0,0)	--我虽然将他作为储君一力培养，真正见他担起夜叉，却又不忍。
	--动作 
	-- 龙溟抬头看天 
	npc.SetHeadRot(7,0,-15,1,50)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96304,632,2,7,0,0)	--但他既已为王，便当行王者之事。只盼如今的夜叉，能让他走上一条不那么崎岖的王道。
	--动作 
	-- 凌波低头 
	npc.SetAnimSpeed(8,50)
	npc.SetAnim(8,209)
	npc.SetAnimSpeed(8,100)
	global.Wait(0.5)
	--对话 
	ui.Dialog(96302,154,0,8,0,0)	--……
	

	--镜头15 
	-- 越过龙溟面向凌波
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(7121,340,7426,7172,327,7511)
	camera.ResetLerp(15000)		
	camera.ChangeCameraStatic(7121,340,7426,7175,324,7509)
	-- 龙溟转向凌波  
	npc.SetHeadRot(7,0,10)
	npc.TurnToNpc(7,8,1)
	--等待几秒  
	global.Wait(2)
	--动作 
	-- 凌波摇头 	
	npc.SetAnim(8,207,2)
	global.Wait(1)
	--对话 
	ui.Dialog(96305,150,0,8,0,0)	--在我们看不见的地方，他们都已经长大了。
	ui.Dialog(96306,632,2,7,0,0)	--复杂	--……是啊。
	ui.Dialog(96307,155,0,8,0,0)	--微笑	--他们……都是好孩子，以后会是个好时代吧。

	--动作 
	-- 龙溟点头 
	npc.SetHeadRot(7,0,30,1,40)
	wt(0.2)
	npc.SetHeadRot(7,0,0,1,50)
	--等待几秒
	-- global.Wait(2)
	
	
	
	
	--npc位置  	
	npc.SetPos(8,7171,7466)

	
	
	--镜头16 
	-- 全镜 面向龙溟 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(7189,337,7450,7096,331,7487)
	camera.ResetLerp(8000)	
	camera.ChangeCameraStatic(7189,337,7450,7096,326,7486)
	global.Wait(1)
	--对话 
	ui.Dialog(96308,629,2,7,0,0)	--微笑	--走吧。
	--动作 
	-- 龙溟伸手   
	npc.SetAnim(7,231,1)
	npc.SetAnim(7,232)
	global.Wait(1)
	
	
	
	--镜头17
	-- 面向凌波
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7124,341,7479,7205,322,7424)
	global.Wait(0.5)
	npc.SetHeadRot(8,0,0,1,20)		
	global.Wait(1)
	-- 凌波伸手
	npc.SetAnimSpeed(8,50)
	npc.SetAnim(8,231)
	npc.AddAnimChain(8,231,232)
	global.Wait(2.8)
	
	
	
	--特写手
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7143,336,7481,7193,318,7397)
	camera.ResetLerp(3000)			
	camera.ChangeCameraStatic(7146,336,7477,7195,317,7393)
	global.Wait(0.5)
	effect.FadeOutWhite(1,0.7)
	global.Wait(2)
	
	
	
	--npc位置 
	npc.SetPos(7,7151,7477)
	npc.SetAnim(7,200)
	npc.SetAt(7,1,1)
	npc.SetPos(8,7175,7476)
	npc.SetAnim(8,200)
	npc.SetAt(8,1,1)
	npc.SetAnimSpeed(8,100)
	
	--特写幻想 
	camera.ResetLerp(0)		
	-- camera.ChangeCameraStatic(7379,418,7647,7409,411,7742)
	camera.ChangeCameraStatic(7499,388,7863,7531,385,7958)
	camera.ResetLerp(6000)		
	-- camera.ChangeCameraStatic(7300,414,7744,7355,406,7827)
	camera.ChangeCameraStatic(7450,374,7936,7501,372,8022)
	--特效 
	-- 夜叉王城幻像  
	--淡入  
	effect.FadeInWhite(1,0.5)
	global.Wait(6)
	
	
	
	
	
	
	
	--镜头18 
	-- 越过两人面向城门 
	camera.ResetLerp(0)			
	camera.ChangeCameraStatic(7190,335,7500,7122,326,7427)
	camera.ResetLerp(8000)		
	camera.ChangeCameraStatic(7182,335,7506,7132,326,7420)
	global.Wait(2)
	--动作
	-- 两人互相看向对方 

	npc.TurnToNpc(8,7,1)
	npc.SetHeadRot(8,0,-10)
	global.Wait(1)
	npc.SetHeadRot(7,30,10,1,50)
	global.Wait(2)
	npc.SetHeadRot(7,0,0,0,50)
	npc.SetHeadRot(8,0,0)
	npc.TurnTo(8,1,1)
	
	camera.ResetLerp(3500)		
	camera.ChangeCameraStatic(7230,358,7560,7175,323,7484)
	global.Wait(2)
	
	-- 龙溟凌波走向幻想 	
	npc.MoveTo(7,7456,7908)
	npc.MoveTo(8,7456,7908)
	global.Wait(1)

	
	--npc位置 
	npc.Stop(7)
	npc.Stop(8)
	npc.SetPos(7,7340,7770)
	npc.SetPos(8,7360,7760)
	
	
	
	camera.ResetLerp(0)		
	camera.ChangeCameraStatic(7319,349,7724,7370,328,7807)
	camera.ResetLerp(5000)		
	camera.ChangeCameraStatic(7356,392,7795,7413,382,7876)
	npc.MoveTo(7,7880,8630)	
	npc.MoveTo(8,7880,8630)
	global.Wait(3)
	--黑屏 
	effect.FadeOut(1,0.5)
	global.Wait(2)
	--音乐淡出 
	global.MusicFadeIn(2000,100,0)				
	global.Wait(2)
	
	dj=flag.GetValue(40480)
	--队员恢复	
	--夏侯入队 
	player.Add(p_id(1),0,1)
	player.ChangeLevel(1,dj)	
	--龙溟离队 
	player.Remove(p_id(7))
	--加入纪录的队员
	for i=42022,42030,1
		do
			if	flag.GetValue(i)==1	then
				player.Add(p_id(i-42020))
			end
		end		
	
player.AddEquip(2144,1,1)	

	
	for	i=1,20,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	
	for i=1,20,1
		do
		npc.Destroy(i)
		end	

		

	--切地图
	--蜀山
	map.Change(1,4011)
		
		
		
	--播放音乐 
	global.PlayMusic(15,100,1)	

	func_end(4865,9649,1,1)				
	
	
	
	
end


end